Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl
Class DefaultBHttpClientConnectionFactory

    java.lang.Object
      org.apache.http.impl.DefaultBHttpClientConnectionFactory

All Implemented Interfaces:
  HttpConnectionFactory<DefaultBHttpClientConnection>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultBHttpClientConnectionFactory

extends Object
implements HttpConnectionFactory<DefaultBHttpClientConnection>

Default factory for `HttpClientConnection`s.

Since:
  4.3

Field Summary
`static DefaultBHttpClientConnectionFactory` | `INSTANCE`

Constructor Summary
`DefaultBHttpClientConnectionFactory()`
`DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig)`
`DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, HttpMessageWriterFactory<HttpRequest> requestWriterFactory, HttpMessageParserFactory<HttpResponse> responseParserFactory)`
`DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig, HttpMessageWriterFactory<HttpRequest> requestWriterFactory, HttpMessageParserFactory<HttpResponse> responseParserFactory)`

Method Summary
`DefaultBHttpClientConnection` | `createConnection(Socket socket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DefaultBHttpClientConnectionFactory INSTANCE

Constructor Detail

### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig,
                                               ContentLengthStrategy incomingContentStrategy,
                                               ContentLengthStrategy outgoingContentStrategy,
                                               HttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                               HttpMessageParserFactory<HttpResponse> responseParserFactory)

### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig,
                                               HttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                               HttpMessageParserFactory<HttpResponse> responseParserFactory)

### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory(ConnectionConfig cconfig)

### DefaultBHttpClientConnectionFactory

    public DefaultBHttpClientConnectionFactory()

Method Detail

### createConnection

    public DefaultBHttpClientConnection createConnection(Socket socket)
                                                  throws IOException

  Specified by:
    `createConnection` in interface `HttpConnectionFactory<DefaultBHttpClientConnection>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.